import BasicLayout from './layouts/BasicLayout'
import MonitorManger from "./pages/MonitorManger";
import MonitorInform from "./pages/MonitorInform";
import QueryPlayer from "./pages/QueryPlayer";
import User from './pages/User';
import WhiteMange from './pages/WhiteMange/WhiteMange';
import AccountChangePassword from './pages/AccountChangePassword'
import ShowMange from './pages/ShowMange';
import MainConfig from './pages/MonitorMange';
import MainConfigDetail from './pages/MonitorMange/MainConfigDetail';
const routerConfig = [
    {
        path: '/show/mange',
        layout: BasicLayout,
        component: ShowMange,
        authority: 'admin',
    },
    {
        path: '/account/change_password',
        layout: BasicLayout,
        component: AccountChangePassword,
        authority: 'admin',
    },
    {
        path: '/main/config',
        layout: BasicLayout,
        component: MainConfig,
        authority: 'admin',
    },
    {
        path: '/main/detail',
        layout: BasicLayout,
        component: MainConfigDetail,
        authority: 'admin',
    },
    
    {
        path: '/monitor/inform',
        layout: BasicLayout,
        component: MonitorInform,
        authority: 'admin',
    },
    {
        path: '/query/player',
        layout: BasicLayout,
        component: QueryPlayer,
        authority: 'admin',
    },
    {
        path: '/set/user',
        layout: BasicLayout,
        component: User,
        authority: 'admin',
    },
    {
        path: '/white/mange',
        layout: BasicLayout,
        component: WhiteMange,
        authority: 'admin',
    },
];

export default routerConfig;
